<?php

// Load the initiation file
require_once($_SERVER["DOCUMENT_ROOT"] . "/../classes/initiation.php");

// Load presentation layer class
$presentation = new Presentation();

$openitServerInfo = new OpeniT_Server_Info();

// Send data to presentation
$presentation->assign("version", $openitServerInfo->getServerVersion());
$presentation->assign("freedisk", $openitServerInfo->getAvailableDatabaseDisk());
$presentation->assign("packages", $openitServerInfo->getInstalledPackages());

$patches = array();
foreach ($openitServerInfo->getInstalledPatches() as $patch) {
	$patches[] = $patch->getId();
}

$presentation->assign("patches", $patches);
//$presentation->assign("clients", $openitServerInfo->getClientLog());
$presentation->assign("clients", array());

// Show presentation
$presentation->display("pages/dashboard/system_info/index.php");

/*
$ldapSearcher = new LDAPSearcher();
$ldapSearcher->setAd(true);
$ldapSearcher->setServer("192.168.7.10");
$ldapSearcher->setSuffix("@svg.openit.local");
$ldapSearcher->setBaseDn("dc=svg,dc=openit,dc=local");
$ldapSearcher->setUsername("cerberus");
$ldapSearcher->setPassword("Hvd0bd#5");

if ($ldapSearcher->connect()) echo "ok";
$ldapSearcher->authorize();
print_r($ldapSearcher->getUser2("ahovda"));
*/


/*
echo "<pre>";
echo "Open iT Version: " . $openitServerInfo->getServerVersion(). "\n";
echo "Free disk: " . $openitServerInfo->getAvailableDatabaseDisk() . "\n";
echo "Installed patches: " . implode(', ', $openitServerInfo->getInstalledPatches()) . "\n";
echo "Installed packages: " . implode(', ', $openitServerInfo->getInstalledPackages()) . "\n";
echo "Client info: " . implode(', ', $openitServerInfo->getClientLog()) . "\n";
*/

?>