<?php

class Product_Status extends AbstractController {

	private $list;
	
	public function init() {
		
		// Load the initiation file
		require_once($_SERVER["DOCUMENT_ROOT"] . "/../classes/initiation.php");
		if(!isset($_SESSION["USER"])){
			header('Location: /login.php');
		}
		FeedWriter::init();
		/*if (!UserHelper::getCurrentUser()->isAdmin()) {
			header('Location: /access.php?txt=' . urlencode('You don\'t have access to this part of the system'));
			exit;
		}*/
		//$this->getDocument()->title = 'Product Status';
	}

	public function getModel() {
		//return '3';
	}

	public function getList() {		
		return $this->list;
	}
	
	public function index() {
		RealTime::clearSelections();
		$realtime = RealTime::getInstance(true);		
		$this->list = $realtime->getProducts(true);
		
		// Add RSS feed link in the header
		$this->getDocument()->head = '<link rel="alternate" type="application/rss+xml" title="Open iT patches" href="' . '/module/product_status/feed.rss" />';

		if (isset($_REQUEST['xauth']) && $_REQUEST['xauth'] == 'asdjkd292de')
			$this->getDocument()->template = 'tiny';
	}
	
	public function put() {
		echo 'put';
		//exit;
	}
	
	public function feed() {
		$this->index();
	//	$this->list
	}
	
	public function create() {
	}
	
	public function show($id) {
		echo 'show mode ' . $this->getRequest()->id;
		//exit;
	}
		
	public function getMenu() {
		return 'dashboard';
	}
	
	public function validate() {	
		$this->getValidator()->setRequired('mail', 'Need an email adr');
		$this->getValidator()->isEmail('mail', 'Need to be a valid email adr');
	}
	
}

?>
